<?php
/**
 * Clase Base Bean para BaseCrUtilidadBN
 *
 * @package    Sedapal
 * @subpackage BaseCrUtilidadBN
 * @author     Willy
 * @version    SVN:: BaseCrUtilidadBN.class.php,v 1.1 2016-11-11 13:28:58 william.taype Exp $
 */
abstract class BaseCrUtilidadBN
{
  protected $IdSucursal;
  protected $IdMercado;
  protected $IdRepresentante;
  protected $IdPrestamo;
  protected $FechaCancelacion;
  protected $FechaInicio;
  protected $FechaVencimiento;
  protected $IdCliente;
  protected $MontoTotal;
  protected $Ganancia;
  protected $Sucursal;
  protected $Mercado;
  protected $Representante;
  protected $Cliente;
  protected $GastoAdministrativo;
  protected $Mensaje;
  protected $Error;

  public function getIdSucursal(){
    return $this->IdSucursal;
  }
  public function setIdSucursal($v1){
    $this->IdSucursal = $v1; 
  }

  public function getIdMercado(){
    return $this->IdMercado;
  }
  public function setIdMercado($v1){
    $this->IdMercado = $v1; 
  }

  public function getIdRepresentante(){
    return $this->IdRepresentante;
  }
  public function setIdRepresentante($v1){
    $this->IdRepresentante = $v1; 
  }

  public function getIdPrestamo(){
    return $this->IdPrestamo;
  }
  public function setIdPrestamo($v1){
    $this->IdPrestamo = $v1; 
  }

  public function getFechaCancelacion(){
    return $this->FechaCancelacion;
  }
  public function setFechaCancelacion($v1){
    $this->FechaCancelacion = $v1; 
  }
  
  public function getPeriodoCancelacion(){
    return $this->PeriodoCancelacion;
  }
  public function setPeriodoCancelacion($v1){
    $this->PeriodoCancelacion = $v1; 
  }

  public function getFechaInicio(){
    return $this->FechaInicio;
  }
  public function setFechaInicio($v1){
    $this->FechaInicio = $v1; 
  }

  public function getFechaVencimiento(){
    return $this->FechaVencimiento;
  }
  public function setFechaVencimiento($v1){
    $this->FechaVencimiento = $v1; 
  }

  public function getIdCliente(){
    return $this->IdCliente;
  }
  public function setIdCliente($v1){
    $this->IdCliente = $v1; 
  }

  public function getMontoTotal(){
    return $this->MontoTotal;
  }
  public function setMontoTotal($v1){
    $this->MontoTotal = $v1; 
  }

  public function getGanancia(){
    return $this->Ganancia;
  }
  public function setGanancia($v1){
    $this->Ganancia = $v1; 
  }

  public function getSucursal(){
    return $this->Sucursal;
  }
  public function setSucursal($v1){
    $this->Sucursal = $v1; 
  }

  public function getMercado(){
    return $this->Mercado;
  }
  public function setMercado($v1){
    $this->Mercado = $v1; 
  }

  public function getRepresentante(){
    return $this->Representante;
  }
  public function setRepresentante($v1){
    $this->Representante = $v1; 
  }

  public function getCliente(){
    return $this->Cliente;
  }
  public function setCliente($v1){
    $this->Cliente = $v1; 
  }

  public function getGastoAdministrativo(){
    return $this->GastoAdministrativo;
  }
  public function setGastoAdministrativo($v1){
    $this->GastoAdministrativo = $v1; 
  }

  public function getMensaje(){
    return $this->Mensaje;
  }
  public function setMensaje($vl){
    $this->Mensaje = $vl;
  }

  public function getError(){
    return $this->Error;
  }
  public function setError($vl){
    $this->Error = $vl;
  }

  /* Recupera un objeto Cr_utilidadBN desde un RecordSet */
  public static function retrieveByRs( $o_Cr_utilidadRs )
  {
    $o_CrUtilidadBN = new CrUtilidadBN();
    $o_CrUtilidadBN->setIdSucursal( $o_Cr_utilidadRs['IdSucursal'] );
    $o_CrUtilidadBN->setIdMercado( $o_Cr_utilidadRs['IdMercado'] );
    $o_CrUtilidadBN->setIdRepresentante( $o_Cr_utilidadRs['IdRepresentante'] );
    $o_CrUtilidadBN->setIdPrestamo( $o_Cr_utilidadRs['IdPrestamo'] );
    $o_CrUtilidadBN->setFechaCancelacion( $o_Cr_utilidadRs['FechaCancelacion'] );
    $o_CrUtilidadBN->setFechaInicio( $o_Cr_utilidadRs['FechaInicio'] );
    $o_CrUtilidadBN->setFechaVencimiento( $o_Cr_utilidadRs['FechaVencimiento'] );
    $o_CrUtilidadBN->setIdCliente( $o_Cr_utilidadRs['IdCliente'] );
    $o_CrUtilidadBN->setMontoTotal( $o_Cr_utilidadRs['MontoTotal'] );
    $o_CrUtilidadBN->setGanancia( $o_Cr_utilidadRs['Ganancia'] );
    $o_CrUtilidadBN->setSucursal( $o_Cr_utilidadRs['Sucursal'] );
    $o_CrUtilidadBN->setMercado( $o_Cr_utilidadRs['Mercado'] );
    $o_CrUtilidadBN->setRepresentante( $o_Cr_utilidadRs['Representante'] );
    $o_CrUtilidadBN->setCliente( $o_Cr_utilidadRs['Cliente'] );
    $o_CrUtilidadBN->setGastoAdministrativo( $o_Cr_utilidadRs['GastoAdministrativo'] );
    return $o_CrUtilidadBN;
  }
}